#include "Hash.h"

/**
* Hash class can do various operations of hashing
*
* @author       Taeho Oh
* @version      0.0.1
* @since        1999/03/31
*/
class Hash
{
private:
public:
	/**
	* Get the hash value of s. The maximum of the hash value is i - 1
	*
	* @param s the string that will be hashed.
	* @param i the maximum number + 1 of the hash value.
	* @return the hash value of the s.
	*/
	static int getHashValue(const char * const s, const int i)
	{
		int size ;
		int total ;
		int hashValue ;

		size = strlen(s) ;
		total = 0 ;

		for(int a = 0; a < size; a++)
		{
			total += s[a] ;
			total = total << 1 ;
		}
		hashValue = total % i ;

		return hashValue ;
	}
} ;
